import { AppService } from 'tabby-core';
import { BaseTerminalTabComponent } from '../api/baseTerminalTab.component';
/** @hidden */
export declare class TerminalToolbarComponent {
    private app;
    tab: BaseTerminalTabComponent;
    constructor(app: AppService);
    onTabDragStart(): void;
    onTabDragEnd(): void;
    get shouldShowDragHandle(): boolean;
    onMouseEnter(): void;
    onMouseLeave(): void;
}
